# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-excanvas
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.excanvas

Name:           python-module-tw2-excanvas
Version:        2.0.2
Release:        alt1_4
Summary:        Excanvas for ToscaWidgets2

Group:          Development/Python
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-tw2-core

# For tests
BuildRequires:  python-module-nose
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-genshi
Source44: import.info

# Runtime requirements

%description
Simple excanvas resource wrapper for ToscaWidgets2.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%check
PYTHONPATH=$(pwd) python setup.py test

%files
%doc README.rst LICENSE
%{python_sitelibdir_noarch}/tw2/excanvas
%{python_sitelibdir_noarch}/%{modname}-%{version}*


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_4
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_3
- initial fc import

